package com.usoft.credit.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 鹏元配置信息
 */
@Component
public class PyConfig {
    /**
     * 鹏元征信 api 域名
     */
    @Value("${pyconfig.host}")
    private String host;

    /**
     * 返回报文压缩的URL
     */
    @Value("${pyconfig.pathZip}")
    private String pathZip;

    /**
     *  返回报文不压缩的URL
     */
    @Value("${pyconfig.pathUnZip}")
    private String pathUnZip;

    /**
     * 认证信息，用户id
     */
    @Value("${pyconfig.userId}")
    private String userId;

    /**
     * 认证信息，密码
     */
    @Value("${pyconfig.password}")
    private String password;

    /**
     * 是否测试模式
     */
    @Value("${pyconfig.test}")
    private boolean test;

    /**
     * 请求内容样本文件
     */
    @Value("${pyconfig.queryFile}")
    private String queryFile;

    @Value("${pyconfig.keyStoreFile}")
    private String keyStoreFile;

    @Value("${pyconfig.keyStorePassword}")
    private String keyStorePassword;

    @Value("${pyconfig.trustStoreFile}")
    private String trustStoreFile;

    @Value("${pyconfig.trustStorePassword}")
    private String trustStorePassword;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPathZip() {
        return pathZip;
    }

    public void setPathZip(String pathZip) {
        this.pathZip = pathZip;
    }

    public String getPathUnZip() {
        return pathUnZip;
    }

    public void setPathUnZip(String pathUnZip) {
        this.pathUnZip = pathUnZip;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean isTest() {
        return test;
    }

    public void setTest(boolean test) {
        this.test = test;
    }

    public String getQueryFile() {
        return queryFile;
    }

    public void setQueryFile(String queryFile) {
        this.queryFile = queryFile;
    }

    public String getKeyStoreFile() {
        return keyStoreFile;
    }

    public void setKeyStoreFile(String keyStoreFile) {
        this.keyStoreFile = keyStoreFile;
    }

    public String getKeyStorePassword() {
        return keyStorePassword;
    }

    public void setKeyStorePassword(String keyStorePassword) {
        this.keyStorePassword = keyStorePassword;
    }

    public String getTrustStoreFile() {
        return trustStoreFile;
    }

    public void setTrustStoreFile(String trustStoreFile) {
        this.trustStoreFile = trustStoreFile;
    }

    public String getTrustStorePassword() {
        return trustStorePassword;
    }

    public void setTrustStorePassword(String trustStorePassword) {
        this.trustStorePassword = trustStorePassword;
    }
}
